CoR-Lab Tutorials - Tasks #1180

Create basic template projects explaining build systems in all major languages we support

10/01/2012 10:38 AM - J. Wienke

Status: Resolved Start date: 10/01/2012
Priority: Normal Due date: 10/12/2012
Assignee: J. Wienke % Done: 80%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7

Description

| could also think that this would b good content for tutorials.
Create and explain template projects in:

- C++: CMake (lib + executable)

- Python: setuptools / distutils

- Java: ant (evtl. maven?)

All of them should use upstream libraries, in this case RSB.

Associated revisions

Revision bb26eb7d - 10/01/2012 09:51 PM - J. Wienke

Some very first few words and a project

refs #1180

Revision bdd2de71 - 10/02/2012 09:37 AM - J. Wienke

First steps for a cpp description including a trials how to nicely include source code

refs #1180

History

#1-10/01/2012 11:07 AM - S. Wrede

For C++ a basic example (with additional dependencies not needed in this context) can be found here:

https://redmine.amarsi-project.eu/projects/components/repository/revisions/master/show/cca-component

We should also porvide (optional) support for testing and sphinx-based documentation.

#2 - 10/01/2012 09:45 PM - J. Wienke

- Status changed from New to In Progress

#3 - 10/10/2012 12:52 PM - J. Wienke
- % Done changed from 0 to 80

#4 - 01/29/2013 09:21 AM - J. Wienke

- Status changed from In Progress to Resolved
https://redmine.amarsi-project.eu/projects/components/repository/revisions/master/show/cca-component

| don't think | can manage further changes to the tutorial right now. We can reopen this if needed-

#5 - 01/29/2013 10:30 AM - S. Wrede

That's fine. You made a good start with the documentation available at:

http://docs.cor-lab.de/build%20system%20essentials-tutorial/trunk/html/index.html
